Loading...
Searching...
No Matches
pdumodel::Outlet::MetaData Struct Reference

Outlet metadata More...

## Public Attributes

string | label
| Outlet label
string | receptacleType
| Receptacle type.
Nameplate | namePlate
| Nameplate information
Rating | rating
| Numerical usage ratings.
boolean | isSwitchable
| `true` if the outlet is switchable
boolean | isLatching
| `true` if the outlet is able to keep its state after power loss
int | maxRelayCycleCnt
| Maximum relay cycle count.
boolean | hasWaveformSupport
| Whether waveform reading is supported on this outlet.

## Detailed Description

Outlet metadata

The documentation for this struct was generated from the following file:

- Outlet.idl